# Uses of Class
org.eclipse.microprofile.openapi.apps.petstore.exception.NotFoundException

Packages that use NotFoundException
Package
Description
org.eclipse.microprofile.openapi.apps.petstore.resource
Copyright (c) 2017 Contributors to the Eclipse Foundation

## Uses of NotFoundException in org.eclipse.microprofile.openapi.apps.petstore.resource

Methods in org.eclipse.microprofile.openapi.apps.petstore.resource that throw NotFoundException
Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
PetResource.`downloadFile(Long petId)`
`jakarta.ws.rs.core.Response`
PetStoreResource.`getOrderById(Long orderId)`
`jakarta.ws.rs.core.Response`
PetResource.`getPetById(Long petId)`